Loading...
Searching...
No Matches
ON_UUID Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_uuid.h>`

## Public Member Functions

bool | operator== (const ON_UUID &other) const
bool | operator!= (const ON_UUID &other) const

## Public Attributes

ON__UINT32 | Data1
ON__UINT16 | Data2
ON__UINT16 | Data3
unsigned char | Data4 [8]

## Detailed Description

Definition at line 31 of file opennurbs_uuid.h.

## Member Function Documentation

## operator!=()

bool ON_UUID::operator!= | ( | const ON_UUID & | other | ) | const

## operator==()

bool ON_UUID::operator== | ( | const ON_UUID & | other | ) | const

## Member Data Documentation

## Data1

ON__UINT32 ON_UUID::Data1

Definition at line 34 of file opennurbs_uuid.h.

## Data2

ON__UINT16 ON_UUID::Data2

Definition at line 35 of file opennurbs_uuid.h.

## Data3

ON__UINT16 ON_UUID::Data3

Definition at line 36 of file opennurbs_uuid.h.

## Data4

unsigned char ON_UUID::Data4[8]

Definition at line 37 of file opennurbs_uuid.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_uuid.h